Bug 143989 - new port: multimedia/sms1xxx-kmod
Summary: new port: multimedia/sms1xxx-kmod
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-16 09:20 UTC by ganael.laplanche
Modified: 2010-06-21 17:40 UTC (History)
0 users

See Also:


Attachments
file.shar (6.56 KB, text/plain)
2010-02-16 09:20 UTC, ganael.laplanche
no flags Details
sms1xxx-kmod-port.shar.txt (6.99 KB, text/plain)
2010-03-02 07:20 UTC, ganael.laplanche
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2010-02-16 09:20:05 UTC
This is a port for the sms1xxx driver, a driver for Siano-based USB DVB devices.

The following devices have been successfully tested :

- Terratec Cinergy Piranha DVB-T USB Dongle
- Hauppauge WinTV MiniStick (HD)

See http://contribs.martymac.org/FreeBSD-siano/README for more details.

Fix: Patch attached with submission follows:
Comment 1 ganael.laplanche 2010-03-02 07:20:30 UTC
Hello,

The driver has been updated to version 20100227. Please see the shar file
attached (fixes stability issues, brings man page and rc5watch utility).

Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org
Comment 2 Max Brazhnikov freebsd_committer 2010-06-17 19:09:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 3 dfilter freebsd_committer 2010-06-19 22:50:32 UTC
makc        2010-06-19 21:50:18 UTC

  FreeBSD ports repository

  Added files:
    multimedia/sms1xxx-kmod Makefile distinfo pkg-descr pkg-plist 
    multimedia/sms1xxx-kmod/files patch-firmwares-Makefile 
                                  pkg-message.in 
  Log:
  Add new port multimedia/sms1xxx-kmod:
  
  FreeBSD driver for Siano-based USB DVB devices.
  
  This driver have been tested with the following devices :
  
    * Terratec Cinergy Piranha
    * Hauppauge WinTV MiniStick (HD)
  
  However, other Siano-based USB devices should work, just give a try
  (you may want to add new VIDs/PIDs to make your device detected) !
  
  WWW: http://contribs.martymac.org
  
  PR:             ports/143989
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.com>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.1       +124 -0    ports/multimedia/sms1xxx-kmod/Makefile (new)
  1.1       +3 -0      ports/multimedia/sms1xxx-kmod/distinfo (new)
  1.1       +12 -0     ports/multimedia/sms1xxx-kmod/files/patch-firmwares-Makefile (new)
  1.1       +21 -0     ports/multimedia/sms1xxx-kmod/files/pkg-message.in (new)
  1.1       +11 -0     ports/multimedia/sms1xxx-kmod/pkg-descr (new)
  1.1       +6 -0      ports/multimedia/sms1xxx-kmod/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Brazhnikov freebsd_committer 2010-06-19 22:55:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 ganael.laplanche 2010-06-21 14:22:06 UTC
On Sat, 19 Jun 2010 21:55:22 GMT, makc wrote

Hi Max,

> Synopsis: new port: multimedia/sms1xxx-kmod
> Committed. Thanks!
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=143989

Thanks, but you have commited the first version of the port. Could you commit
the updated one (v20100227) ? It is available as a followup in the PR :

http://www.freebsd.org/cgi/query-pr.cgi?prp=143989-2-txt&n=/sms1xxx-kmod-port.shar.txt

Thank you very much,
Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org
Comment 6 dfilter freebsd_committer 2010-06-21 17:36:02 UTC
makc        2010-06-21 16:34:06 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/sms1xxx-kmod Makefile distinfo pkg-descr pkg-plist 
  Log:
  Update to 20100227
  
  PR:             ports/143989
  Submitted by:   Ganael Laplanche (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.2       +23 -5     ports/multimedia/sms1xxx-kmod/Makefile
  1.2       +3 -3      ports/multimedia/sms1xxx-kmod/distinfo
  1.2       +1 -1      ports/multimedia/sms1xxx-kmod/pkg-descr
  1.2       +1 -0      ports/multimedia/sms1xxx-kmod/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"